dpkg-name(1)

NOME
dpkg-name - rinomina i pacchetti Debian in nomi completi di pacchetto

SINTASSI
dpkg-name [opzione...] [--] file...

DESCRIZIONE

Questa pagina di manuale documenta il programma dpkg-name, che fornisce un modo facile per rinominare i pacchetti Debian nei loro nomi di pacchetto completi. Un nome di pacchetto completo ha la forma pacchetto_versione_architettura.tipo-pacchetto, così come specificato nel file control del pacchetto. La parte versione del nome del file è formata dall'informazione sulla versione originale del software seguita facoltativamente da un trattino e dalle informazioni sulla revisione. La parte tipo-pacchetto viene presa dal campo «package-type» se esiste, altrimenti viene usato il valore predefinito deb.

OPZIONI

-a, --no-architecture
    Il nome del file di destinazione non conterrà le informazioni sull'architettura.

-k, --symlink
    Crea un collegamento simbolico, invece di spostare.

-o, --overwrite
    I file esistenti verranno sovrascritti se hanno lo stesso nome del file di destinazione.

-s, --subdir [dir]
    I file verranno spostati in una sottodirectory. Se la directory fornita come argomento esiste, allora i file verranno spostati in quella directory, altrimenti il nome della directory di destinazione viene estratto dal campo relativo alla sezione nella parte di controllo del pacchetto. La directory di destinazione sarà «unstable/binary-architettura/sezione. Se nella parte di controllo non viene trovata la sezione, viene usato «no-section» e, in questo caso così come per le sezioni «non-free» e «contrib», la directory di destinazione è «sezione/binary-architettura». Il campo della sezione non è obbligatorio per cui molti pacchetti finiscono nell'area «no-section». Usare questa opzione con cautela perché crea confusione.

-c, --create-dir
    Questa opzione può essere usata insieme all'opzione -s. Se non viene trovata una directory target, verrà creata automaticamente. Usare questa opzione con cautela.

-?, --help
    Mostra il messaggio sull'uso ed esce.

-v, --version
    Mostra la versione ed esce.

BUG
Alcuni pacchetti non seguono la struttura dei nomi pacchetto_versione_architettura.deb. I pacchetti rinominati con dpkg-name seguiranno questa struttura. Generalmente ciò non ha effetto su come i pacchetti vengono installati da dselect(1) o dpkg(1), ma altri strumenti di installazione possono fare affidamento su questa struttura dei nomi.

ESEMPI

dpkg-name pinco-pallo.deb
    Il file «pinco-pallo.deb» verrà rinominato in pinco-pallo_1.0-2_i386.deb o qualcosa del genere (in base alle informazioni contenute nella parte di controllo di «pinco-pallo.deb»).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Tutti i file con estensione «deb» nella directory /root/debian e nelle sue sottodirectory verranno rinominati, se necessario, da dpkg-name in nomi senza informazioni sull'architettura.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Non usarlo. Se lo si fa, il proprio archivio verrà completamente stravolto perché molti pacchetti vengono forniti senza l'informazione sulla sezione. Non usarlo.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Questo può essere usato quando si creano nuovi pacchetti.

VEDERE ANCHE
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).